PHPの補完をするHTTPサーバ。

Vim用のplugin

インストール

インストールがうまくいかない場合はError about nikic/php-parser when installing · Issue #95 · padawan-php/padawan.php に書いてあるように"minimum-stability":"dev"をglobalのcomposer.json(~/.composer/composer.json)に以下のように書いて、

{
    "require": {
        "mkusher/padawan": "dev-master"
    },
    "minimum-stability": "dev"
}

globalにインストール。

$ composer global install

built-in php function

Completion scopes and built-in php functions by mkusher · Pull Request #14 · padawan-php/padawan.phpを見るとトップの階層でも補完が出来ているが、実際にやってみるとclassのfunctionの中でしか補完ができなかった。

padawan.vim

request

Vimで補完させて、tcpdumpで実際のリクエストを見るとよくわかる

$ sudo tcpdump -s 0 -A -i lo0